/* remoteio.c */

#include "amc.h"
#include "remoteio.h"

BYTE
AMC_KpLed(BYTE whichLed, BYTE state)
{
  U_I2CStart();
  U_I2CWrite(KEYPAD_I2C_ADDRESS);
  MilliPause(1);
  U_I2CWrite(state + whichLed);
  MilliPause(1);
  U_I2CStop();
  MilliPause(50);
  return 0;
}

BYTE AMC_KPBeep(BYTE kind)
{
  U_I2CStart();
  U_I2CWrite(KEYPAD_I2C_ADDRESS);
  MilliPause(1);
  U_I2CWrite(kind);
  MilliPause(1);
  U_I2CStop();
  MilliPause(50);
  return 0;
}

BYTE AMC_KPAccessResult(BYTE pass_fail)
{
  U_I2CStart();
  U_I2CWrite(KEYPAD_I2C_ADDRESS);
  MilliPause(1);
  U_I2CWrite(pass_fail);
  MilliPause(1);
  U_I2CStop();
  MilliPause(50);
  return 0;
}


void  AMC_SendAlert(BYTE kind)
{
  U_I2CStart();
  U_I2CWrite(KEYPAD_I2C_ADDRESS);
  MilliPause(1);
  U_I2CWrite(kind);
  MilliPause(1);
  U_I2CStop();
  MilliPause(50);
}

